# Toutes les configurations destinées au chart Nextcloud 
# doivent être indentées sous la clé 'nextcloud'
longhorn:
  ui:
    enabled: true

  # Persistence
  defaultSettings:
    defaultDataPath: /var/lib/longhorn
    defaultReplicaCount: 3
    defaultDiskSelector: ""
    defaultDataLocality: "best-effort"

  # RBAC et service accounts (Helm gère par défaut)
  rbac:
    create: true

  # Installer CRDs si pas déjà faits
  installCRDs: true

  image:
    longhorn:
      manager:
        # -- Registry for the Longhorn Manager image.
        registry: "harbor.gkdomaine.local"
        # -- Repository for the Longhorn Manager image.
        repository: images/longhorn-manager
        # -- Tag for the Longhorn Manager image.
        tag: v1.10.1
      ui:
        # -- Registry for the Longhorn UI image.
        registry: "harbor.gkdomaine.local"
        # -- Repository for the Longhorn UI image.
        repository: images/longhorn-ui
        # -- Tag for the Longhorn UI image.
        tag: v1.10.1
      shareManager:
        # -- Registry for the Longhorn Share Manager image.
        registry: "harbor.gkdomaine.local"
        # -- Repository for the Longhorn Share Manager image.
        repository: images/longhorn-share-manager
        # -- Tag for the Longhorn Share Manager image.
        tag: v1.10.1
      